メインコンテンツへ移動
Nowledge MemNowledge Mem

スペースの更新

PATCH
/spaces/{space_ref}

パスパラメータ

space_ref*スペース参照

リクエストボディ

application/json

TypeScript定義

TypeScriptでrequest body型を使用します。

レスポンスボディ

application/json

application/json

curl -X PATCH "https://example.com/spaces/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "enabled": false,  "spaces": [    {      "id": "string",      "key": "string",      "name": "string",      "aliases": [        "string"      ],      "description": "string",      "icon": "string",      "instructions": "string",      "sharedSpaceIds": [        "string"      ],      "defaultRetrievalMode": "strict",      "usage": {        "memories": 0,        "threads": 0,        "sources": 0,        "hasWorkingMemory": false      },      "observed": false,      "hasProfile": true    }  ]}